Skip to content
Start here

Delete DNS Record

client.dns.records.delete(stringdnsRecordId, RecordDeleteParams { zone_id } params, RequestOptionsoptions?): RecordDeleteResponse { id }
DELETE/zones/{zone_id}/dns_records/{dns_record_id}

Delete DNS Record

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS Write
ParametersExpand Collapse
dnsRecordId: string

Identifier.

maxLength32
params: RecordDeleteParams { zone_id }
zone_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
RecordDeleteResponse { id }
id?: string

Identifier.

maxLength32

Delete DNS Record

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const record = await client.dns.records.delete('023e105f4ecef8ad9ca31a8372d0c353', {
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(record.id);
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}